DIPRINTF(3)

NAME
diprintf, vdiprintf, _diprintf_r, _vdiprintf_r - print to a file descriptor (integer only)

SYNOPSIS

#include <stdio.h>

#include <stdarg.h>

int diprintf(int fd, const char *format, ...);

int vdiprintf(int fd, const char *format, va_list ap);

int _diprintf_r(struct _reent *ptr, int fd, const char *format, ...);

int _vdiprintf_r(struct _reent *ptr, int fd, const char *format, va_list ap);

DESCRIPTION

diprintf and vdiprintf are similar to dprintf and vdprintf, except that only integer format specifiers are processed.

The functions _diprintf_r and _vdiprintf_r are simply reentrant versions of the functions above.

RETURNS

Similar to dprintf and vdprintf.

PORTABILITY

This set of functions is an integer-only extension, and is not portable.

Supporting OS subroutines required: sbrk, write.